No sound on Dell Dimension 2400

Bug #369000 reported by Andrew Grant on 2009-04-29
18
This bug affects 1 person
Affects Status Importance Assigned to Milestone
alsa-driver (Ubuntu)
Undecided
Unassigned

Bug Description

I cannot get ubuntu 9.04 to produce any sounds at all. Not from the speakers nor the headphones. I have tried everything I can find on the forums, but nothing works. My computer is a Dell Dimension 2400, with 768 mg Ram and is using an intel soundcard.
I did have sound in Ubuntu 8.10, but now nothing. Help!

Craig Silk (csilk) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. Unfortunately we can't fix it without more information.

Please include the information requested from the "Reporting Sound Bugs" section of https://wiki.ubuntu.com/DebuggingSoundProblems as separate attachments.

Craig Silk (csilk) on 2009-04-29
Changed in ubuntu:
status: New → Incomplete

I have tried everything suggested in the page you advised to me to look at.
However, I still have no sound and no microphone. The bit I do not
understand is why I had them in Ubuntu 8.10 but not in 9.04.
Anyway, I ran the script from the alsa page and it located here:
http://www.alsa-project.org/db/?f=9d5eb1c5714c4a47e563dd8c17112a4311e832d5
 I also ran the cat command:
cat /proc/asound/cards
 0 [I82801DBICH4 ]: ICH4 - Intel 82801DB-ICH4
                      Intel 82801DB-ICH4 with AD1981B at irq 17
Thank you for your help with this problem.
Regards
Andrew Grant

On Tue, Apr 28, 2009 at 11:36 PM, Craig Silk <email address hidden> wrote:

> ** Changed in: ubuntu
> Status: New => Incomplete
>
> --
> No sound at all, when there used to be...
> https://bugs.launchpad.net/bugs/369000
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Ubuntu: Incomplete
>
> Bug description:
> I cannot get ubuntu 9.04 to produce any sounds at all. Not from the
> speakers nor the headphones. I have tried everything I can find on the
> forums, but nothing works. My computer is a Dell Dimension 2400, with 768 mg
> Ram and is using an intel soundcard.
> I did have sound in Ubuntu 8.10, but now nothing. Help!
>

I am also having the exact same problems with the same chipset.

komputes (komputes) on 2009-08-16
Changed in ubuntu:
status: Incomplete → Confirmed
summary: - No sound at all, when there used to be...
+ No sound on Dell Dimension 2400 - Ubuntu 8.10 Intrepid

Marked Bug #414203 as a duplicate of this bug as it is the same issue with the same model.

We have tested the Dell Dimension 2400 with an Ubuntu 9.04 LiveCD, and there is still no sound.

alsa-info output can be found here:
http://launchpadlibrarian.net/30377041/alsa-info.txt

komputes (komputes) wrote :

Affects hardware:
00:1f.5 Multimedia audio controller [0401]: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) AC'97 Audio Controller [8086:24c5] (rev 01)
 Subsystem: Dell Device [1028:0160]

affects: ubuntu → alsa-driver (Ubuntu)
komputes (komputes) on 2009-08-19
summary: - No sound on Dell Dimension 2400 - Ubuntu 8.10 Intrepid
+ No sound on Dell Dimension 2400

Could you try the latest karmic alpha live CD to see if that works? If so, then the alsa driver code for this hardware will need to be backported to jaunty.

Thanks.

myshell1 (myshell1) wrote :

I don't know what a karmic alpha live cd is. Is that the beta that came
after Jaunty? I'm using 8.10, not Jaunty.

> Could you try the latest karmic alpha live CD to see if that works? If
so, then the alsa driver code for this hardware will need to be
> backported to jaunty.
>
> Thanks.
>
> --
> No sound on Dell Dimension 2400
> https://bugs.launchpad.net/bugs/369000
> You received this bug notification because you are a direct subscriber
of the bug.
>

komputes (komputes) wrote :

>> Could you try the latest karmic alpha live CD to see if that works?
>I don't know what a karmic alpha live cd is. Is that the beta that came
>after Jaunty? I'm using 8.10, not Jaunty.

Karmic is the 9.10 version of ubuntu that is currently in development (scheduled for release October 2009), you can find a Live CD image here:
http://cdimage.ubuntu.com/daily-live/current/

As the CD image is over 700MB it will not fit onto a standard 700MB CD. However, you may still burn it using a DVD.

Baudi (bdeckers) wrote :

I had the same problem with Dell Dimension 2400: no sound under Ubuntu Jaunty.
After positive test with Ubuntu Karmic, I installed Karmic.
I can confirm that now the sound is 100% OK.

(I was of course not yet able to test other functions etc.)

Baudi (bdeckers) wrote :

I have to review my enthousiast affirmation regarding Karmic...
Yes, it worked when I installed Karmic two weeks ago.
No, it does no longer work, now I re-installed completely Karmic: no sound, by no way..

I hope the final release of Karmic will solve this problem...

francis chow (fchow8888) wrote :

I'm new to linux on my home desktop - I'm having the same sound problem on the Dimension 2400 with the Ubuntu 9.10 release.

Daniel T Chen (crimsun) wrote :

Please use apport-collect -p alsa-base 369000

dbch (dbch) wrote :

Hi. Do you mean type that exactly into terminal? Thank you.

On Sun, Dec 13, 2009 at 12:48 PM, Daniel T Chen <email address hidden>wrote:

> Please use apport-collect -p alsa-base 369000
>
> --
> No sound on Dell Dimension 2400
> https://bugs.launchpad.net/bugs/369000
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “alsa-driver” package in Ubuntu: Confirmed
>
> Bug description:
> I cannot get ubuntu 9.04 to produce any sounds at all. Not from the
> speakers nor the headphones. I have tried everything I can find on the
> forums, but nothing works. My computer is a Dell Dimension 2400, with 768 mg
> Ram and is using an intel soundcard.
> I did have sound in Ubuntu 8.10, but now nothing. Help!
>
> To unsubscribe from this bug, go to:
>
> https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/369000/+subscribe
>
>

Daniel T Chen (crimsun) wrote :

On Thu, Dec 17, 2009 at 12:14 AM, dbch <email address hidden> wrote:
> Hi.  Do you mean type that exactly into terminal?  Thank you.
>
> On Sun, Dec 13, 2009 at 12:48 PM, Daniel T Chen
> <email address hidden>wrote:
>
>> Please use apport-collect -p alsa-base 369000

Yes.

Architecture: i386
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: deborah 1956 F.... pulseaudio
Card0.Amixer.info:
 Card hw:0 'I82801DBICH4'/'Intel 82801DB-ICH4 with AD1981B at irq 17'
   Mixer name : 'Analog Devices AD1981B'
   Components : 'AC97a:41445374'
   Controls : 26
   Simple ctrls : 19
DistroRelease: Ubuntu 9.10
Package: alsa-base 1.0.20+dfsg-1ubuntu5
PackageArchitecture: all
ProcEnviron:
 SHELL=/bin/bash
 PATH=(custom, no user)
 LANG=en_CA.UTF-8
ProcVersionSignature: Ubuntu 2.6.31-17.54-generic
Uname: Linux 2.6.31-17-generic i686
UserGroups:

dbch (dbch) wrote : AlsaDevices.txt
dbch (dbch) wrote : AplayDevices.txt
dbch (dbch) wrote : BootDmesg.txt
dbch (dbch) wrote : CurrentDmesg.txt
dbch (dbch) wrote : Dependencies.txt
tags: added: apport-collected

Architecture: i386
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: fchow8888 1436 F.... pulseaudio
Card0.Amixer.info:
 Card hw:0 'I82801DBICH4'/'Intel 82801DB-ICH4 with AD1981B at irq 17'
   Mixer name : 'Analog Devices AD1981B'
   Components : 'AC97a:41445374'
   Controls : 28
   Simple ctrls : 20
DistroRelease: Ubuntu 9.10
InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release i386 (20091028.5)
Package: alsa-base 1.0.20+dfsg-1ubuntu5
PackageArchitecture: all
ProcEnviron:
 SHELL=/bin/bash
 LANG=en_US.UTF-8
ProcVersionSignature: Ubuntu 2.6.31-16.53-generic
Uname: Linux 2.6.31-16-generic i686
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

francis chow (fchow8888) wrote :

I ran the command and gave it full permissions. It completed successfully.

apport-collect -p alsa-base 369000

KillerNumberX (shhdhs) wrote :

Hi, same basic problem, have a Dell Dimension 2400, no sound. it says I do not have a soundcard installed when I type:

aplay -l

the specific message is:

mplay: device_list:223: no soundcards found

There is definitely the on-board soundcard in. It works in XP and Vista (but not Windows 7), using the relevant Sound Blaster Pro driver.

I am using KUBUNTU 9.10, just installed today using the Wubi installer; it is successfully set up to dual-boot with Windows 7. All works as far as I can see, except the sound. It is now fully updated.

francis chow (fchow8888) wrote :

I gave up trying to resolve it and bought a cheap ($5) 64 bit pci sound card on ebay from hong kong. Actually I bought several of them and they work fine in every computer except the Dimension 2400, where only the right speaker plays sound and the left speaker makes a low rumbling sound. The mic works fine, along with the right speaker. I tried removing pulseaudio and installing esound. No luck. I removed alsa and had to reinstall it along with pulseaudio to get sound in even the right speaker.

p.s. With the pci sound card installed I have to disable the onboard sound card, or I get no sound at all. In the other computers, this is not necessary, I can simply select the sound card I want in the sound card preferences.

Brad Figg (brad-figg) on 2010-03-11
tags: added: no-sound-system
KillerNumberX (shhdhs) wrote :

oh hey people, sorry I forgot to update this - I figured out my sound issue a while ago:

I used to have a sound card, and to use it I had to disable the on-board sound. I sold that a year ago, and had been using my laptop, so I didn't need to use my desktop. Once I started using my desktop again, I forgot to re-enable the on-board sound.

By enabling the on-board sound, my sound was fixed! Works perfect now.

KillerNumberX (shhdhs) wrote :

p.s. by "enable the on-board sound", I mean enabling it in the BIOS settings. This is by pressing F2 or F12 or F10 during boot (can' remember which) to get to the BIOS menu, and then go and enable it.

You might want to make sure it is enabled. If you have sound on any other OS (i.e. Windows), then the BIOS setting is not the issue. If on-board sound is disabled in the BIOS, then sound is disabled for every operating system, until you re-enable it.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers